org.richfaces.resource.optimizer.resource.handler.impl

## Class AbstractResourceHandler

- java.lang.Object
- - javax.faces.application.ResourceHandler
  - - org.richfaces.resource.optimizer.resource.handler.impl.AbstractResourceHandler

- Direct Known Subclasses:
    DynamicResourceHandler, StaticResourceHandler

      public abstract class AbstractResourceHandler
      extends javax.faces.application.ResourceHandler

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.application.ResourceHandler

      `LOCALE_PREFIX, RESOURCE_CONTRACT_XML, RESOURCE_EXCLUDES_DEFAULT_VALUE, RESOURCE_EXCLUDES_PARAM_NAME, RESOURCE_IDENTIFIER, WEBAPP_CONTRACTS_DIRECTORY_PARAM_NAME, WEBAPP_RESOURCES_DIRECTORY_PARAM_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourceHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.application.Resource` | `createResource(String resourceName)`
    `javax.faces.application.Resource` | `createResource(String resourceName, String libraryName)`
    `abstract javax.faces.application.Resource` | `createResource(String resourceName, String libraryName, String contentType)`
    `String` | `getRendererTypeForResourceName(String resourceName)`
    `void` | `handleResourceRequest(javax.faces.context.FacesContext context)`
    `boolean` | `isResourceRequest(javax.faces.context.FacesContext context)`
    `boolean` | `libraryExists(String libraryName)`

    - ### Methods inherited from class javax.faces.application.ResourceHandler

      `createResourceFromId, createViewResource, isResourceURL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractResourceHandler

          public AbstractResourceHandler()

  - ### Method Detail

    - #### createResource

          public javax.faces.application.Resource createResource(String resourceName)

      Specified by:
        `createResource` in class `javax.faces.application.ResourceHandler`

    - #### createResource

          public javax.faces.application.Resource createResource(String resourceName,
                                                        String libraryName)

      Specified by:
        `createResource` in class `javax.faces.application.ResourceHandler`

    - #### createResource

          public abstract javax.faces.application.Resource createResource(String resourceName,
                                                        String libraryName,
                                                        String contentType)

      Specified by:
        `createResource` in class `javax.faces.application.ResourceHandler`

    - #### libraryExists

          public boolean libraryExists(String libraryName)

      Specified by:
        `libraryExists` in class `javax.faces.application.ResourceHandler`

    - #### handleResourceRequest

          public void handleResourceRequest(javax.faces.context.FacesContext context)
                                     throws IOException

      Specified by:
        `handleResourceRequest` in class `javax.faces.application.ResourceHandler`
      Throws:
        `IOException`

    - #### isResourceRequest

          public boolean isResourceRequest(javax.faces.context.FacesContext context)

      Specified by:
        `isResourceRequest` in class `javax.faces.application.ResourceHandler`

    - #### getRendererTypeForResourceName

          public String getRendererTypeForResourceName(String resourceName)

      Specified by:
        `getRendererTypeForResourceName` in class `javax.faces.application.ResourceHandler`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.